Ptex

Namespaces | Functions
PtexWriter.cpp File Reference
`#include "PtexPlatform.h"`
`#include <errno.h>`
`#include <signal.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <algorithm>`
`#include <iostream>`
`#include <sstream>`
`#include "Ptexture.h"`
`#include "PtexUtils.h"`
`#include "PtexWriter.h"`

Go to the source code of this file.

## Namespaces
namespace | PTEX_NAMESPACE_BEGIN

## Functions
FILE * | PTEX_NAMESPACE_BEGIN::OpenTempFile (std::string &tmppath)
std::string | PTEX_NAMESPACE_BEGIN::fileError (const char *message, const char *path)
bool | PTEX_NAMESPACE_BEGIN::checkFormat (Ptex::MeshType mt, Ptex::DataType dt, int nchannels, int alphachan, Ptex::String &error)